/finance/purchase_invoice

Create a new purchase invoice

Create a new purchase invoice

Base URL
https://<tenant>.dieagenturverwaltung.de/api/v2
Required Security
ApiKeyAuth (Authorization: Session Token)
Produces
application/json

Request

Body Parameters

NameTypeRequiredDescription
purchase_invoiceapp.PurchaseInvoiceYesa new purchase invoice

Parameter Models

Inspect object parameters and nested model references without loading the full Swagger file in the browser.

purchase_invoiceBody parameterapp.PurchaseInvoice
accounting_contact_id
integer
No description.
address
No description.
address_id
integer
No description.
agency_service_total
number
TODO: remove, invoice only
allowance_days
integer
No description.
allowance_mode
No description.
allowance_percentage
number
No description.
allowance_total
number
No description.
asset_account
string
No description.
audit_logs
No description.
bank_account
No description.
categories
No description.
collapse_position_groups
integer
No description.
created_at
integer
No description.
currency
No description.
currency_gross_total
integer
No description.
custom_fields
No description.
date_document
integer
No description.
date_due
integer
No description.
date_of_receipt
integer
No description.
date_payment
integer
No description.
description
string
No description.
estimates
No description.
external
No description.
external_service_total
number
TODO: remove, invoice only
external_services
No description.
gross_total
number
No description.
id
integer
No description.
identification_code
string
No description.
invoices
No description.
job
No description.
job_id
integer
TODO: remove not used
job_id_suggestions
array<number>
No description.
lang
string
No description.
modified_at
integer
No description.
name
string
No description.
net_total
number
No description.
organisation
No description.
organisation_id
integer
No description.
pagina_number
string
No description.
payed_amount_credit
number
No description.
payment_approval_user_id
integer
No description.
payment_method
No description.
payment_method_id
integer
No description.
payment_status
No description.
payments
No description.
period_of_performance_end
integer
No description.
period_of_performance_start
integer
No description.
person
No description.
person_id
integer
No description.
print_version_show_period_of_performance
integer
No description.
purchase_invoice_attachment
No description.
purchase_order
No description.
purchase_order_id
integer
No description.
purchase_orders
No description.
small_job
No description.
small_user
No description.
stationary
No description.
stationary_id
integer
No description.
status
No description.
7 additional properties are hidden on this page to keep the endpoint view small. Open the model page for a focused view.
cURL
curl -X POST 'https://<tenant>.dieagenturverwaltung.de/api/v2/finance/purchase_invoice' \
  -H 'Accept: application/json' \
  -H 'Authorization: Session Token' \
  -H 'Content-Type: application/json' \
  --data-raw '{
  "accounting_contact_id": 123,
  "address": {},
  "address_id": 123,
  "agency_service_total": 123.45,
  "allowance_days": 123,
  "allowance_mode": "none",
  "allowance_percentage": 123.45,
  "allowance_total": 123.45,
  "asset_account": "string",
  "audit_logs": [
    {}
  ],
  "bank_account": {},
  "categories": [
    {}
  ],
  "collapse_position_groups": 123,
  "created_at": 123,
  "currency": "AED",
  "currency_gross_total": 123,
  "custom_fields": [
    {}
  ],
  "date_document": 123,
  "date_due": 123,
  "date_of_receipt": 123,
  "date_payment": 123,
  "description": "string",
  "estimates": [
    {}
  ],
  "external": [
    {}
  ],
  "external_service_total": 123.45,
  "external_services": [
    {}
  ],
  "gross_total": 123.45,
  "id": 123,
  "identification_code": "string",
  "invoices": [
    {}
  ],
  "job": {},
  "job_id": 123,
  "job_id_suggestions": [
    123.45
  ],
  "lang": "string",
  "modified_at": 123,
  "name": "string",
  "net_total": 123.45,
  "organisation": {},
  "organisation_id": 123,
  "pagina_number": "string",
  "payed_amount_credit": 123.45,
  "payment_approval_user_id": 123,
  "payment_method": {},
  "payment_method_id": 123,
  "payment_status": "offen",
  "payments": [
    {}
  ],
  "period_of_performance_end": 123,
  "period_of_performance_start": 123,
  "person": {},
  "person_id": 123,
  "print_version_show_period_of_performance": 123,
  "purchase_invoice_attachment": {},
  "purchase_order": {},
  "purchase_order_id": 123,
  "purchase_orders": [
    {}
  ],
  "small_job": {},
  "small_user": {},
  "stationary": {},
  "stationary_id": 123,
  "status": "NEW",
  "subscribed_users": [
    {}
  ],
  "tab_left": "string",
  "tab_right": "string",
  "token": "string",
  "user": {},
  "user_id": 123,
  "vat": {}
}'
Request Body (application/json)
{
  "accounting_contact_id": 123,
  "address": {...},
  "address_id": 123,
  "agency_service_total": 123.45,
  "allowance_days": 123,
  "allowance_mode": "none",
  "allowance_percentage": 123.45,
  "allowance_total": 123.45,
  "asset_account": "string",
  "audit_logs": [
    {...}
  ],
  "bank_account": {...},
  "categories": [
    {...}
  ],
  "collapse_position_groups": 123,
  "created_at": 123,
  "currency": "AED",
  "currency_gross_total": 123,
  "custom_fields": [
    {...}
  ],
  "date_document": 123,
  "date_due": 123,
  "date_of_receipt": 123,
  "date_payment": 123,
  "description": "string",
  "estimates": [
    {...}
  ],
  "external": [
    {...}
  ],
  "external_service_total": 123.45,
  "external_services": [
    {...}
  ],
  "gross_total": 123.45,
  "id": 123,
  "identification_code": "string",
  "invoices": [
    {...}
  ],
  "job": {...},
  "job_id": 123,
  "job_id_suggestions": [
    123.45
  ],
  "lang": "string",
  "modified_at": 123,
  "name": "string",
  "net_total": 123.45,
  "organisation": {...},
  "organisation_id": 123,
  "pagina_number": "string",
  "payed_amount_credit": 123.45,
  "payment_approval_user_id": 123,
  "payment_method": {...},
  "payment_method_id": 123,
  "payment_status": "offen",
  "payments": [
    {...}
  ],
  "period_of_performance_end": 123,
  "period_of_performance_start": 123,
  "person": {...},
  "person_id": 123,
  "print_version_show_period_of_performance": 123,
  "purchase_invoice_attachment": {...},
  "purchase_order": {...},
  "purchase_order_id": 123,
  "purchase_orders": [
    {...}
  ],
  "small_job": {...},
  "small_user": {...},
  "stationary": {...},
  "stationary_id": 123,
  "status": "NEW",
  "subscribed_users": [
    {...}
  ],
  "tab_left": "string",
  "tab_right": "string",
  "token": "string",
  "user": {...},
  "user_id": 123,
  "vat": {...}
}

Responses

200OK
app.PurchaseInvoiceapplication/json
Example
{
  "accounting_contact_id": 123,
  "address": {...},
  "address_id": 123,
  "agency_service_total": 123.45,
  "allowance_days": 123,
  "allowance_mode": "none",
  "allowance_percentage": 123.45,
  "allowance_total": 123.45,
  "asset_account": "string",
  "audit_logs": [
    {...}
  ],
  "bank_account": {...},
  "categories": [
    {...}
  ],
  "collapse_position_groups": 123,
  "created_at": 123,
  "currency": "AED",
  "currency_gross_total": 123,
  "custom_fields": [
    {...}
  ],
  "date_document": 123,
  "date_due": 123,
  "date_of_receipt": 123,
  "date_payment": 123,
  "description": "string",
  "estimates": [
    {...}
  ],
  "external": [
    {...}
  ],
  "external_service_total": 123.45,
  "external_services": [
    {...}
  ],
  "gross_total": 123.45,
  "id": 123,
  "identification_code": "string",
  "invoices": [
    {...}
  ],
  "job": {...},
  "job_id": 123,
  "job_id_suggestions": [
    123.45
  ],
  "lang": "string",
  "modified_at": 123,
  "name": "string",
  "net_total": 123.45,
  "organisation": {...},
  "organisation_id": 123,
  "pagina_number": "string",
  "payed_amount_credit": 123.45,
  "payment_approval_user_id": 123,
  "payment_method": {...},
  "payment_method_id": 123,
  "payment_status": "offen",
  "payments": [
    {...}
  ],
  "period_of_performance_end": 123,
  "period_of_performance_start": 123,
  "person": {...},
  "person_id": 123,
  "print_version_show_period_of_performance": 123,
  "purchase_invoice_attachment": {...},
  "purchase_order": {...},
  "purchase_order_id": 123,
  "purchase_orders": [
    {...}
  ],
  "small_job": {...},
  "small_user": {...},
  "stationary": {...},
  "stationary_id": 123,
  "status": "NEW",
  "subscribed_users": [
    {...}
  ],
  "tab_left": "string",
  "tab_right": "string",
  "token": "string",
  "user": {...},
  "user_id": 123,
  "vat": {...}
}
400Bad Request
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
404Not Found
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}
500Internal Server Error
rest_errors.Errorapplication/json
Example
{
  "code": 123,
  "extras": {...},
  "message": "string",
  "status_code": 123
}